> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inceptionlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Welcome to the Inception Platform

> Create an Inception account, generate an API key, and send your first request to Mercury 2 using the OpenAI-compatible REST API or client libraries.

<Card title="Get Started Free" icon="sparkles" href="https://platform.inceptionlabs.ai">
  Every new account includes 100 million free tokens — no payment details required.
</Card>

## Account Setup

1. Create an Inception Platform account or [sign in](https://platform.inceptionlabs.ai/auth/login) directly if you already have one. Each new user is initially assigned ~~10 million~~ → **100 million free tokens** to help get started with the API.
2. Go to [API Keys](https://platform.inceptionlabs.ai/dashboard/api-keys) and create a new API key. You can start using the API immediately with your free tokens!
3. When your free tokens are running low, navigate to [Billing](https://platform.inceptionlabs.ai/dashboard/billing) to add your payment information for continued usage beyond the free tier.

## Quick Start

<Steps>
  <Step title="Set your API key">
    Export your API key as an [environment variable](https://en.wikipedia.org/wiki/Environment_variable) in your terminal.

    <CodeGroup>
      ```bash macOS / Linux theme={null}
      export INCEPTION_API_KEY="your_api_key_here"
      ```

      ```bash Windows theme={null}
      set INCEPTION_API_KEY="your_api_key_here"
      ```
    </CodeGroup>
  </Step>

  <Step title="Install the SDK">
    <CodeGroup>
      ```bash Python theme={null}
      pip install inceptionai
      ```

      ```bash TypeScript theme={null}
      npm install inceptionai
      ```
    </CodeGroup>
  </Step>

  <Step title="Send your first request">
    <CodeGroup>
      ```bash cURL theme={null}
      curl https://api.inceptionlabs.ai/v1/chat/completions \
        -H "Content-Type: application/json" \
        -H "Authorization: Bearer $INCEPTION_API_KEY" \
        -d '{
          "model": "mercury-2",
          "messages": [
            {"role": "user", "content": "What is a diffusion model?"}
          ],
          "reasoning_effort": "medium",
          "temperature": 0.75,
          "max_tokens": 8192
        }'
      ```

      ```python Python theme={null}
      from inceptionai import Inception

      client = Inception()  # reads INCEPTION_API_KEY from the environment

      completion = client.chat.completions.create(
          model="mercury-2",
          messages=[{"role": "user", "content": "What is a diffusion model?"}],
          reasoning_effort="medium",
          temperature=0.75,
          max_tokens=8192,
      )
      print(completion.choices[0].message.content)
      ```

      ```typescript TypeScript theme={null}
      import Inception from 'inceptionai';

      const client = new Inception(); // reads INCEPTION_API_KEY from the environment

      const completion = await client.chat.completions.create({
        model: 'mercury-2',
        messages: [{ role: 'user', content: 'What is a diffusion model?' }],
        reasoning_effort: 'medium',
        temperature: 0.75,
        max_tokens: 8192,
      });
      console.log(completion.choices[0]?.message.content);
      ```
    </CodeGroup>
  </Step>
</Steps>

**Note:** we recommend using the default `temperature=0.75`, `reasoning_effort=medium` and `max_tokens=8192` for most applications. For ultra low latency, set `reasoning_effort` to `low` or `instant`. For extended thinking, set `reasoning_effort` to `high`.

All API requests should be made to:

```bash theme={null}
https://api.inceptionlabs.ai/v1
```

All API requests should be sent with the API key in the Authorization header:

```bash theme={null}
Authorization: Bearer $INCEPTION_API_KEY
```

#### Using Third-Party Libraries

Inception API is also fully compatible with popular Python libraries:

<CodeGroup>
  ```python AISuite theme={null}
  import os
  import aisuite as ai

  client = ai.Client(
      {
          "inception": {"api_key": os.environ["INCEPTION_API_KEY"], "base_url": "https://api.inceptionlabs.ai/v1"},
      }
  )

  response = client.chat.completions.create(
      model="inception:mercury-2",
      messages=[{"role": "user", "content": "What is a diffusion model?"}],
      max_tokens=1000
  )
  print(response.choices[0].message.content)
  ```

  ```python LiteLLM theme={null}
  import os
  from litellm import completion

  response = completion(
      model="openai/mercury-2",
      messages=[{"role": "user", "content": "What is a diffusion model?"}],
      api_key=os.environ["INCEPTION_API_KEY"],
      api_base="https://api.inceptionlabs.ai/v1",
      max_tokens=1000
  )
  print(response.choices[0].message.content)
  ```

  ```python LangChain theme={null}
  import os
  from langchain_openai import ChatOpenAI
  from langchain_core.prompts import ChatPromptTemplate

  llm = ChatOpenAI(
      model="mercury-2",
      temperature=0.75,
      api_key=os.environ["INCEPTION_API_KEY"],
      base_url="https://api.inceptionlabs.ai/v1"
  )
  llm.invoke([("user", "What is a diffusion model?")])
  ```

  ```python OpenAI Client theme={null}
  import os
  from openai import OpenAI

  client = OpenAI(
      api_key=os.environ["INCEPTION_API_KEY"],
      base_url="https://api.inceptionlabs.ai/v1"
  )

  response = client.chat.completions.create(
      model="mercury-2",
      messages=[{"role": "user", "content": "What is a diffusion model?"}],
      max_tokens=1000
  )
  print(response.choices[0].message.content)
  ```

  ```javascript VercelAI theme={null}
  import { createOpenAICompatible } from '@ai-sdk/openai-compatible';
  import { generateText } from 'ai';

  const provider = createOpenAICompatible({
    name: 'inception',
    apiKey: process.env.INCEPTION_API_KEY,
    baseURL: 'https://api.inceptionlabs.ai/v1',
  });

  const { text } = await generateText({
    model: provider('mercury-2'),
    prompt: 'What is a diffusion model?',
  });
  ```
</CodeGroup>
